Update Presentation Details
curl --request PATCH \
--url https://api.trugen.ai/v1/ext/presentation/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"description": "Updated sales pitch deck for Q3 & Q4"
}
'import requests
url = "https://api.trugen.ai/v1/ext/presentation/{id}"
payload = { "description": "Updated sales pitch deck for Q3 & Q4" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Updated sales pitch deck for Q3 & Q4'})
};
fetch('https://api.trugen.ai/v1/ext/presentation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trugen.ai/v1/ext/presentation/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Updated sales pitch deck for Q3 & Q4'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trugen.ai/v1/ext/presentation/{id}"
payload := strings.NewReader("{\n \"description\": \"Updated sales pitch deck for Q3 & Q4\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.trugen.ai/v1/ext/presentation/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Updated sales pitch deck for Q3 & Q4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trugen.ai/v1/ext/presentation/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Updated sales pitch deck for Q3 & Q4\"\n}"
response = http.request(request)
puts response.read_body{
"id": "1411f164-fe94-4a4b-9b1b-027a9929f95d",
"message": "Presentation details updated"
}{
"error": "Unauthorized: not a valid authorization api key"
}{
"message": "Presentation not found"
}{
"error": "Failed to update presentation"
}Visual Presentations
Update Presentation
Update the metadata (such as description) of an existing presentation deck.
PATCH
/
ext
/
presentation
/
{id}
Update Presentation Details
curl --request PATCH \
--url https://api.trugen.ai/v1/ext/presentation/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"description": "Updated sales pitch deck for Q3 & Q4"
}
'import requests
url = "https://api.trugen.ai/v1/ext/presentation/{id}"
payload = { "description": "Updated sales pitch deck for Q3 & Q4" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Updated sales pitch deck for Q3 & Q4'})
};
fetch('https://api.trugen.ai/v1/ext/presentation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trugen.ai/v1/ext/presentation/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => 'Updated sales pitch deck for Q3 & Q4'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trugen.ai/v1/ext/presentation/{id}"
payload := strings.NewReader("{\n \"description\": \"Updated sales pitch deck for Q3 & Q4\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.trugen.ai/v1/ext/presentation/{id}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"Updated sales pitch deck for Q3 & Q4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trugen.ai/v1/ext/presentation/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"Updated sales pitch deck for Q3 & Q4\"\n}"
response = http.request(request)
puts response.read_body{
"id": "1411f164-fe94-4a4b-9b1b-027a9929f95d",
"message": "Presentation details updated"
}{
"error": "Unauthorized: not a valid authorization api key"
}{
"message": "Presentation not found"
}{
"error": "Failed to update presentation"
}Update the metadata (such as description) of an existing presentation deck.
Response:
When to update
Update presentation details when you want to refine the description so the agent better understands when to trigger and present slides from this deck during user queries.Parameters
id(path, required): unique identifier of the presentation
Request Body
description(string, optional): updated description detailing the topics covered in the deck
Example
curl --request PATCH \
--url https://api.trugen.ai/v1/ext/presentation/1411f164-fe94-4a4b-9b1b-027a9929f95d \
--header 'Content-Type: application/json' \
--header 'x-api-key: YOUR_API_KEY' \
--data '{
"description": "Updated sales pitch deck for Q3 & Q4"
}'
{
"id": "1411f164-fe94-4a4b-9b1b-027a9929f95d",
"message": "Presentation details updated"
}
Next steps
Authorizations
Path Parameters
Unique identifier of the presentation
Example:
"5d7b525d-f7ef-44c5-9e49-422fdfdb9b2c"
Body
application/json
Example:
"Updated sales pitch deck for Q3 & Q4"
Was this page helpful?